package com.muyu.businessPlatform.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 电子围栏对象 fence
 *
 * @author wan
 * @date 2024-05-31
 */
public class Fence extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 电子围栏名称 */
    @Excel(name = "电子围栏名称")
    private String name;

    /** 围栏类型 */
    @Excel(name = "围栏类型")
    private String fenceType;

    /** 经纬度信息 */
    @Excel(name = "经纬度信息")
    private String longitudeAndLatitude;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setFenceType(String fenceType)
    {
        this.fenceType = fenceType;
    }

    public String getFenceType()
    {
        return fenceType;
    }
    public void setLongitudeAndLatitude(String longitudeAndLatitude)
    {
        this.longitudeAndLatitude = longitudeAndLatitude;
    }

    public String getLongitudeAndLatitude()
    {
        return longitudeAndLatitude;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("fenceType", getFenceType())
            .append("longitudeAndLatitude", getLongitudeAndLatitude())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
